<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateContentUpdateTable extends Migration {

	public function up()
	{
		Schema::create('content_update', function(Blueprint $table) {
			$table->increments('id');
			$table->timestamps();
			$table->integer('node_id')->unsigned()->index();
			$table->string('name', 255)->index();
			$table->enum('audio_content_action', array('keep', 'erase', 'replace'));
			$table->integer('audio_content_id')->unsigned()->nullable()->index();
			$table->enum('audio_campaign_action', array('keep', 'erase', 'replace', 'append'));
			$table->integer('audio_campaign_id')->unsigned()->nullable()->index();
			$table->enum('video_content_action', array('keep', 'erase', 'replace'));
			$table->integer('video_content_id')->unsigned()->nullable()->index();
			$table->enum('video_campaign_action', array('keep', 'erase', 'replace', 'append'));
			$table->integer('video_campaign_id')->unsigned()->nullable()->index();
			$table->integer('stream_id')->unsigned()->nullable()->index();
			$table->enum('stream_action', array('keep', 'erase', 'replace'));
		});
	}

	public function down()
	{
		Schema::drop('content_update');
	}
}