<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateLibraryFileTable extends Migration {

	public function up()
	{
		Schema::create('library_file', function(Blueprint $table) {
			$table->increments('id');
			$table->timestamps();
			$table->integer('node_id')->unsigned()->index();
			$table->enum('source', array('storage', 'remote'))->nullable();
			$table->integer('library_storage_file_id')->unsigned()->nullable()->index();
			$table->string('url', 255)->nullable();
			$table->text('content')->nullable();
			$table->string('name', 255)->nullable()->index();
			$table->string('ext', 255)->nullable();
			$table->integer('size')->unsigned();
			$table->string('md5', 32)->index();
			$table->string('mime', 50);
			$table->enum('usage', array('audio', 'video', 'image', 'html', 'web', 'stream'))->nullable();
			$table->integer('albumart_id')->unsigned()->nullable();
		});
	}

	public function down()
	{
		Schema::drop('library_file');
	}
}