<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateStreamScheduledItemTable extends Migration {

	public function up()
	{
		Schema::create('stream_scheduled_item', function(Blueprint $table) {
			$table->increments('id');
			$table->timestamps();
			$table->integer('stream_id')->unsigned()->index();
			$table->integer('component_playlist_id')->unsigned()->index();
			$table->integer('ordering')->unsigned()->nullable()->index();
			$table->tinyInteger('def')->unsigned()->default('0');
			$table->date('date_from')->nullable()->index();
			$table->string('date_to')->nullable()->index();
			$table->time('time_from')->nullable()->index();
			$table->time('time_to')->nullable()->index();
			$table->tinyInteger('dow')->unsigned()->nullable();
			$table->tinyInteger('shuffle')->unsigned()->default('1');
		});
	}

	public function down()
	{
		Schema::drop('stream_scheduled_item');
	}
}